Class | Bio::PDB::ChemicalComponent::Record
In: | lib/bio/db/pdb/chemicalcomponent.rb
Parent: | Bio::PDB::Record

Single field (normally single line) of a entry

### Methods

get_record_class

### Constants

RESIDUE | = | def_rec([ 11, 13, Pdb_LString[3], :hetID ], [ 16, 20, Pdb_Integer, :numHetAtoms ] |  | RESIDUE field. It would be wrong because the definition described in documents seems ambiguous.

CONECT

=

def_rec([ 12, 15, Pdb_Atom, :name ], [ 19, 20, Pdb_Integer, :num ], [ 21, 24, Pdb_Atom, :other_atoms ], [ 26, 29, Pdb_Atom, :other_atoms ], [ 31, 34, Pdb_Atom, :other_atoms ], [ 36, 39, Pdb_Atom, :other_atoms ], [ 41, 44, Pdb_Atom, :other_atoms ], [ 46, 49, Pdb_Atom, :other_atoms ], [ 51, 54, Pdb_Atom, :other_atoms ], [ 56, 59, Pdb_Atom, :other_atoms ], [ 61, 64, Pdb_Atom, :other_atoms ], [ 66, 69, Pdb_Atom, :other_atoms ], [ 71, 74, Pdb_Atom, :other_atoms ], [ 76, 79, Pdb_Atom, :other_atoms ]

CONECT field It would be wrong because the definition described in documents seems ambiguous.

HET | = | Bio::PDB::Record::HET |  | HET field. It is the same as Bio::PDB::Record::HET.
HETSYN | = | def_rec([ 9, 10, Pdb_Continuation, nil ], [ 12, 14, Pdb_LString(3), :hetID ], [ 16, 70, Pdb_String, :hetSynonyms ] |  | HETSYN field. It is very similar to Bio::PDB::Record::HETSYN.
HETNAM | = | Bio::PDB::Record::HETNAM |  | HETNAM field. It is the same as Bio::PDB::Record::HETNAM.
FORMUL | = | Bio::PDB::Record::FORMUL |  | FORMUL field. It is the same as Bio::PDB::Record::FORMUL.
Default | = | Bio::PDB::Record::Default |  | default definition for unknown fields.
Definition | = | create_definition_hash |  | Hash to store allowed definitions.
End | = | Bio::PDB::Record::End |  | END record class. Because END is a reserved word of Ruby, it is separately added to the hash

### Public Class methods

get_record_class(str)

Look up the class in Definition hash

[Source]

         # File lib/bio/db/pdb/chemicalcomponent.rb, line 116
    116:         def self.get_record_class(str)
    117:           t = fetch_record_name(str)
    118:           return Definition[t]
    119:         end

[Validate]